### Method

# GUPnPAV DIDLLiteObject set_upnp_class

#### Declaration [src]

    void
    gupnp_didl_lite_object_set_upnp_class (
      GUPnPDIDLLiteObject* object,
      const char* upnp_class
    )

#### Description [src]

Set the UPnP class of the `object` to `upnp_class`.

Sets property | `GUPnPAV.DIDLLiteObject:upnp-class`

#### Parameters

`upnp_class`

  Type: `const char*`

  The UPnP class as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.